delete from report_sql where computer={?computer};

insert into report_sql (computer,num1, num2, date1, str1, num3, num4, str2, date2, str3, str4, str5, num20)
select {?computer},
       v_kupci_activity.id_kupci_activity, 
       max(v_waitlist.id_waitlist), 
       max(v_waitlist.date_created),
       max(v_waitlist.owner), 
       v_kupci_activity.kupci_id, 
       max(v_waitlist.id_plovila), 
       max(v_waitlist.user_comment),
       max(v_kupci_activity.activity_date_from), 
       max(v_kupci_activity.activity_description), 
       max(v_kupci_activity.activity_type_opis), 
       max(owner_mobile_phone),
       (SELECT count(*) 
        FROM v_kupci_activity a
        WHERE a.activity_date_from BETWEEN {?FU_from} AND {?FU_to}
        AND a.kupci_id=v_kupci_activity.kupci_id)
FROM v_waitlist
JOIN v_kupci_activity ON v_waitlist.id_lastnika=v_kupci_activity.kupci_id AND v_kupci_activity.activity_date_from >= nvl(v_waitlist.date_from,v_kupci_activity.activity_date_from)
GROUP BY v_kupci_activity.id_kupci_activity, v_kupci_activity.kupci_id;

DELETE FROM report_sql WHERE computer={?computer} and nvl(num20,0) = 0;