delete from report_sql where computer={?computer};

insert into report_sql (computer, num1, num2, num3, num4, num5, num6, str1)
select {?computer}, a.id_dokument, b.id_promet, c.id_obracun, d.id_racun_data, e.id_saldkont, d.znesek, e.vrsta_racuna
from s_dokument a 
inner join s_promet b on a.id_dokument=b.id_dokument
inner join s_obracun c on b.id_promet=c.id_promet 
inner join racun_data d on c.id_obracun=d.id_obracun
inner join saldkont e on d.id_saldkont=e.id_saldkont
where e.vrsta_racuna in ('RAC','POS','DOB') and d.id_obracun is not null 
?and e.datum>={?datum_od} 
?and e.datum<={?datum_do}
;

insert into report_sql (computer, num3, num4, num5, num6, str1)
select {?computer}, a.id_obracun, a.id_racun_data, c.id_saldkont, a.znesek, c.vrsta_racuna
from racun_data a
left join s_obracun b on a.id_obracun=b.id_obracun
inner join saldkont c on a.id_saldkont=c.id_saldkont
where a.id_obracun is not null and b.id_promet = 0
and c.vrsta_racuna in ('RAC','POS','DOB') 
?and c.datum>={?datum_od} 
?and c.datum<={?datum_do}
;